import request from '@/utils/request'

// 销售统计 --------------------------------------

// 获取业绩排行
export function getSalePerformance (params) {
  return request({
    url: '/stat/sale/performance',
    method: 'GET',
    params
  })
}

// 获取采单排行
export function getSaleOrder (params) {
  return request({
    url: '/stat/sale/order',
    method: 'GET',
    params
  })
}

// 跟进次数 饼图分析
export function getSaleleadsCount (params) {
  return request({
    url: '/stat/sale/leads',
    method: 'GET',
    params
  })
}

// 跟进次数 table分析
export function getSaleFollowCount (params) {
  return request({
    url: '/stat/sale/follow',
    method: 'GET',
    params
  })
}

// 流失分析 --> 渠道转化分析
export function getAnalyzeChannel (params) {
  return request({
    url: '/stat/sale/channel',
    method: 'GET',
    params
  })
}
// 流失分析 --> 渠道 线索 分析
export function getAnalyzeLeadsStat (params) {
  return request({
    url: '/stat/sale/leadsStat',
    method: 'GET',
    params
  })
}

// 流失分析 --> 流失原因分析
export function getAnalyzeleadsLoss (params) {
  return request({
    url: '/stat/sale/leadsLoss',
    method: 'GET',
    params
  })
}

// 流失分析 --> 采单分析
export function getAnalyzeLossOrder (params) {
  return request({
    url: '/stat/sale/LossOrder',
    method: 'GET',
    params
  })
}

// 校区业绩 ---------- 上部数据
export function getIncome (params) {
  return request({
    url: '/stat/sale/income',
    method: 'GET',
    params
  })
}

// 校区业绩 ---------- 上部数据
export function getIncomeRank (params) {
  return request({
    url: '/stat/sale/incomeRank',
    method: 'GET',
    params
  })
}
// 销售统计 --------------------------------------

// 学员统计 --------------------------------
export function getNewStudent () {
  return request({
    url: '/stat/learner/num',
    method: 'GET'
  })
}

// 财务统计 -------------------------
export function getFinaceStatistics (params) {
  return request({
    url: '/stat/finance',
    method: 'GET',
    params
  })
}

// 财务管理
export function getFinaceAdmin (params) {
  return request({
    url: '/stat/finance/manage',
    method: 'GET',
    params
  })
}
