import Vue from 'vue'
import store from '@/store'

const action = Vue.directive('action', {
  inserted: function (el, binding, vnode) {
    const actionId = binding.arg
    const roles = store.getters.roles
    const elVal = vnode.context.$route.meta.permission
    // const permissionId = elVal instanceof String && [elVal] || elVal
    const roleList = roles.map(item => item.id)
    if (!roleList.includes(actionId)) {
      el.parentNode && el.parentNode.removeChild(el) || (el.style.display = 'none')
    }

    // roles.forEach(p => {
    //   console.log(p, '权限指令')

    //   if (p.actionList && !p.actionList.includes(actionName)) {
    //     el.parentNode && el.parentNode.removeChild(el) || (el.style.display = 'none')
    //   }
    // })
  }
})

export default action
